<!-- /docs/hooks/useCreateAndSetDevices.md -->

# 🛠️ useCreateAndSetDevices.js

Custom Hook zur Initialisierung von Leaflet-Markern für ein bestimmtes System.  
Bindet `createAndSetDevices(...)` automatisch in einen `useEffect`.

## Parameter

- `systemId`: ID des Gerätesystems (z. B. 1 = TALAS)
- `setMarkersFunction`: Funktion zum Speichern der erzeugten Marker
- `GisSystemStatic`: Systemdaten aus Redux
- `priorityConfig`: Konfigurationsobjekt zur Prioritätsbewertung

## Redux

- Bezieht `polylineEventsDisabled` aus Redux zur Steuerung der Interaktivität
